View Issue Details

IDProjectCategoryView StatusLast Update
0001887ThirdParty[All Projects] Bugpublic2015-11-04 12:34
ReporterwyldckatAssigned Tohenry 
PrioritynoneSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0001887: For future reference: ParaView 4.4.0 is unable to open multi-solid STL files
DescriptionThis is one of those issues that someone will end up reporting here, when it has nothing to do with OpenFOAM itself, but I'm pre-emptively opening this bug report so that this recorded as a known issue and possibly in the future to add here what's the workaround.
Steps To ReproduceRun the following commands:

  mkdir -p $FOAM_RUN
  run
  gunzip < $FOAM_TUTORIALS/resources/geometry/flange.stl.gz > flange.stl
  paraview flange.stl


Once the Apply button is clicked on, the error message will be something like this:

    ERROR: In /home/ofuser/OpenFOAM/ThirdParty-dev/ParaView-4.4.0/VTK/IO/Geometry/vtkSTLReader.cxx, line 461
    vtkSTLReader (0x45ca8a0): STLReader: error while reading file /home/ofuser/OpenFOAM/ofuser-dev/run/flange.stl at line 3: unable to read point.


    ERROR: In /home/ofuser/OpenFOAM/ThirdParty-dev/ParaView-4.4.0/VTK/Common/ExecutionModel/vtkExecutive.cxx, line 784
    vtkPVCompositeDataPipeline (0x45da2b0): Algorithm vtkFileSeriesReader(0x45cbba0) returned failure for request: vtkInformation (0x435fe00)
      Debug: Off
      Modified Time: 171256
      Reference Count: 1
      Registered Events: (none)
      Request: REQUEST_DATA
      FORWARD_DIRECTION: 0
      FROM_OUTPUT_PORT: 0
      ALGORITHM_AFTER_FORWARD: 1
Additional InformationI was originally going to report that the fix was to use the latest file from VTK, but the commit in VTK from late August doesn't solve the problem either :(
TagsNo tags attached.

Activities

wyldckat

2015-11-01 20:03

updater   ~0005538

Last edited: 2015-11-01 20:18

View 3 revisions

Sorry, I confused the two error messages. The one above is for when ParaView is using the local decimal separator, which is why it broke right when reading the 3rd line. I'll post the original error message in a few minutes in another comment.

The fix for this issue is in this commit: https://github.com/Kitware/VTK/commit/40937e934308e5009e80769dc0c451ee4f157749

This issue can be easily fixed by running the following command from within the ThirdParty folder:

  wget https://raw.githubusercontent.com/Kitware/VTK/40937e934308e5009e80769dc0c451ee4f157749/IO/Geometry/vtkSTLReader.cxx -O ParaView-4.4.0/VTK/IO/Geometry/vtkSTLReader.cxx

wyldckat

2015-11-01 20:29

updater   ~0005539

Here's the actual error message that occurs with the original code in ParaView 4.4.0:

    ERROR: In /home/ofuser/OpenFOAM/ThirdParty-dev/ParaView-4.4.0/VTK/IO/Geometry/vtkSTLReader.cxx, line 461
    vtkSTLReader (0x36b5680): STLReader: error while reading file /home/ofuser/OpenFOAM/ofuser-dev/run/flange.stl at line 33873: unable to read reading point.


    ERROR: In /home/ofuser/OpenFOAM/ThirdParty-dev/ParaView-4.4.0/VTK/Common/ExecutionModel/vtkExecutive.cxx, line 784
    vtkPVCompositeDataPipeline (0x36ad8e0): Algorithm vtkFileSeriesReader(0x36b4150) returned failure for request: vtkInformation (0x16501e0)
      Debug: Off
      Modified Time: 171268
      Reference Count: 1
      Registered Events: (none)
      Request: REQUEST_DATA
      FROM_OUTPUT_PORT: 0
      ALGORITHM_AFTER_FORWARD: 1
      FORWARD_DIRECTION: 0


It essentially breaks in first point for the second solid "patch2".

henry

2015-11-04 12:34

manager   ~0005556

Thanks for the info.

I have applied the patch to ParaView-4.4.0 for the resease OpenFOAM-3.0.0

http://downloads.sourceforge.net/foam/ThirdParty-3.0.0.tgz

Issue History

Date Modified Username Field Change
2015-10-31 19:09 wyldckat New Issue
2015-11-01 20:03 wyldckat Note Added: 0005538
2015-11-01 20:17 wyldckat Note Edited: 0005538 View Revisions
2015-11-01 20:18 wyldckat Note Edited: 0005538 View Revisions
2015-11-01 20:29 wyldckat Note Added: 0005539
2015-11-04 12:34 henry Note Added: 0005556
2015-11-04 12:34 henry Status new => resolved
2015-11-04 12:34 henry Resolution open => fixed
2015-11-04 12:34 henry Assigned To => henry